Skip to navigation

Get all available on demand pricing items for a pricing plan schedule

Requires the QUOTE.PRICING_PLAN_SCHEDULE.VIEW or PRICING_PLAN_SCHEDULE.VIEW permission. Which one depends on the type of the subscription: QUOTE requires QUOTE.PRICING_PLAN_SCHEDULE.VIEW; BILLING and TEMPLATE require PRICING_PLAN_SCHEDULE.VIEW.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

timestampstringOptional

Timestamp used to resolve the applicable pricing plan version for rate-card schedules. Defaults to now.

Response

OK
pricing_plan_subscription_idstring or nullOptionalRead-only
pricing_plan_schedule_idstring or nullOptionalRead-only
pricing_plan_version_idstring or nullOptionalRead-only
pricing_categorieslist of objects or nullOptionalRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error